Bug 739893 - get xml of current job via client
Summary: get xml of current job via client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 10:55 UTC by Raymond Mancy
Modified: 2019-05-22 13:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 03:05:34 UTC


Attachments (Terms of Use)

Description Raymond Mancy 2011-09-20 10:55:31 UTC
Description of problem:
no way to get submittable xml of existing job via client (ala the web ui 'Clone'
link)

Version-Release number of selected component (if applicable):
0.7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marian Csontos 2011-09-20 11:10:48 UTC
Workaround: use bkr job-results - this is "dirty" full of state/results information (but this is how job-clone works internally.)

Comment 2 Marian Csontos 2011-09-20 11:40:58 UTC
(In reply to comment #1)
> Workaround: use bkr job-results - this is "dirty" full of state/results
> information (but this is how job-clone works internally.)

/me is wrong - job-clone will clean up the xml - there is clone argument there which does the trick.


Note You need to log in before you can comment on or make changes to this bug.